' @copyright(disclaimer) 
' Licensed Materials - Property of IBM
' IBM  Enterprise Information Portal for Multiplatforms V8.1  (program number 5724-B43)
' (c ) Copyright IBM Corp. 1998,  2002. All Rights Reserved.
' 
' US Government Users Restricted Rights
' Use, duplication or disclosure restricted by GSA ADP Schedule
' Contract with IBM Corp.
' 
' DISCLAIMER OF WARRANTIES :
' 
' Permission is granted to copy and modify this Sample code, and to
' distribute modified versions provided that both the copyright
' notice,- and this permission notice and warranty disclaimer appear in all copies and 
' modified versions. 
' 
' THIS SAMPLE CODE IS LICENSED TO YOU AS-IS. 
' IBM AND ITS SUPPLIERS AND LICENSORS DISCLAIM ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, 
' IN SUCH SAMPLE CODE, INCLUDING THE WARRANTY OF NON-INFRINGEMENT AND THE IMPLIED 
' WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT WILL 
' IBM OR ITS LICENSORS OR SUPPLIERS BE LIABLE FOR ANY DAMAGES ARISING OUT OF THE USE OF OR 
' INABILITY TO USE THE SAMPLE CODE, DISTRIBUTION OF THE SAMPLE CODE, OR COMBINATION OF THE 
' SAMPLE CODE WITH ANY OTHER CODE. IN NO EVENT SHALL IBM OR ITS LICENSORS AND 
' SUPPLIERS BE LIABLE FOR ANY LOST REVENUE, LOST PROFITS OR DATA, OR FOR DIRECT, INDIRECT, 
' SPECIAL, CONSEQUENTIAL,INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF 
' THE THEORY OF LIABILITY,-, EVEN IF IBM OR ITS LICENSORS OR SUPPLIERS HAVE BEEN ADVISED 
' OF THE POSSIBILITY OF SUCH DAMAGES.
'
' @endCopyright

VERSION 5.00
Begin VB.Form ac 
   Caption         =   "Form1"
   ClientHeight    =   5664
   ClientLeft      =   60
   ClientTop       =   348
   ClientWidth     =   6084
   LinkTopic       =   "Form1"
   ScaleHeight     =   5664
   ScaleWidth      =   6084
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox CurrBox 
      Height          =   5292
      Left            =   120
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   0
      Top             =   120
      Width           =   5772
   End
End
Attribute VB_Name = "ac"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

' Sample Program for checking authorization

Dim dsV4 As DXDatastoreV4
Dim acV4 As DXAccessControlV4
Dim privilegeV4 As DXCommonPrivilegeV4
Dim authority As Integer

Private Sub cout(s As String)
  CurrBox.Text = CurrBox.Text & s & Chr$(13) & Chr$(10)
  CurrBox.Refresh
End Sub

Private Sub Form_Load()
  Set dsV4 = New DXDatastoreV4
  Set acV4 = New DXAccessControlV4
  Set privilegeV4 = New DXCommonPrivilegeV4

  cout "Datastore V4 created"
  cout "connecting to datastore..."
  dsV4.Connect "stealth3", "edms1", "edms1"
  cout "datastore " & dsV4.datastoreName & " connected"
  cout ""
  
  acV4.init dsV4   ' init must be called after dsV4.Connect is called
  cout "access control type: " & acV4.Type
  cout "access control name: " & acV4.getName
  cout ""
  privilegeV4.init dsV4   ' init must be called after dsV4.Connect is called
  authority = privilegeV4.checkAuthorization(4)
  cout "authority of DX_V4_PRIV_ADD_CONTENT is " & authority
  authority = privilegeV4.checkAuthorization(DX_V4_PRIV_LIST_WORKLIST)
  cout "authority of DX_V4_PRIV_LIST_WORKLIST is " & authority
  authority = privilegeV4.checkAuthorization(DX_V4_PRIV_PRINT)
  cout "authority of DX_V4_PRIV_PRINT is " & authority

  cout ""
  cout "disconnecting from datastore..."
  dsV4.disconnect
  cout "datastore disconnected"

End Sub

