<!--
@copyright(disclaimer)
Licensed Materials - Property of IBM
IBM  Enterprise Information Portal  for Multiplatforms V8.1  (program number 5724-B43)
(c) Copyright IBM Corp. 1998,  2002. All Rights Reserved.

US Government Users Restricted Rights
Use, duplication or disclosure restricted by GSA ADP Schedule
Contract with IBM Corp.

DISCLAIMER OF WARRANTIES :

Permission is granted to copy and modify this  Sample code, and to
distribute modified versions provided that both the copyright
notice,- and this permission notice and warranty disclaimer  appear in all copies and modified
versions.

THIS SAMPLE CODE IS LICENSED TO YOU AS-IS.
IBM  AND ITS SUPPLIERS AND LICENSORS  DISCLAIM
ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, IN SUCH SAMPLE CODE, INCLUDING THE WARRANTY
OF NON-INFRINGEMENT AND THE IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A
PARTICULAR PURPOSE. IN NO EVENT WILL IBM OR ITS LICENSORS OR SUPPLIERS BE LIABLE FOR ANY
DAMAGES ARISING OUT OF THE USE OF  OR INABILITY TO USE THE SAMPLE CODE, DISTRIBUTION OF
THE SAMPLE CODE, OR COMBINATION OF THE SAMPLE CODE WITH ANY OTHER CODE. IN NO EVENT SHALL
IBM OR ITS LICENSORS AND SUPPLIERS BE LIABLE FOR ANY LOST REVENUE, LOST PROFITS OR DATA,
OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL,INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER
CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY,-, EVEN IF IBM OR ITS LICENSORS OR SUPPLIERS
HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

@endCopyright
-->

<%@ taglib uri="cmb" prefix="cmb" %>
<%@ page import="com.ibm.mm.beans.*" %>
<jsp:useBean id="connection" scope="session" class="com.ibm.mm.beans.CMBConnection" />
<jsp:useBean id="schema" scope="session" class="com.ibm.mm.beans.CMBSchemaManagement" />

<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>IBM Enterprise Information Portal Servlets Sample</title>
</head>

<body bgcolor="#FFFFFF" link="#000080" vlink="#800000">

<!-- Title -->
<table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr>
        <td><b><i>createItem</i> action</b></td>
    </tr>
</table>
<!-- *** End Title *** -->

<%
String entityName = request.getParameter("entity");
if (entityName == null || entityName.equals("")) { // show a list of available entities
    request.setAttribute("schema",schema);
%>
<form method="POST" action="CMBControlServlet">
<input type="hidden" name="reply" value="/jsp/servlets/createitem.jsp">
<TABLE border=0 align=center cellpadding=0>
    <tr>
        <td>
        <!-- list of available entities-->
        <table border=2 cellspacing=3 cellpadding=3 align=center>
                <tr>
                        <td>step 1: select an entity</td>
                </tr>
		<tr>
			<td>
  		            <cmb:entities schema="<%= schema%>">
			        <input type=radio name="entity" value="<%= entity %>"><%= entity %><br>
		            </cmb:entities>
                            <br><center><input type="submit" value="Next"></center>
                        </td>
                </tr>
  	</table>
        </td>
    </tr>
</TABLE>
</form>

<%
} else { // display attributes for selected entity
    request.setAttribute("entity",entityName);
%>
<form method="POST" action="CMBControlServlet" enctype="multipart/form-data">
<input type="hidden" name="action" value="createItem">
<TABLE border=0 align=center cellpadding=0>
    <tr>
        <td>
            <!--update attributes-->
            <table border=1 cellspacing=3 cellpadding=3>
                <tr>
                        <td colspan=2><center>step 2: specify item attributes</center></td>
                </tr>
                <tr>
                        <td>Attribute Name</td>
                        <td>Value</td>
                </tr>
       	        <cmb:attributes schema="<%= schema%>" entity="<%= entityName%>">
	  	<tr>
			<td><i><%= attribute %></i></td>
                        <td><input type="text" name="attribute.<%= attribute %>"></td>
		</tr>
		</cmb:attributes>
                <tr>
                        <td colspan=2>
                           Item Type:&nbsp;
                                <input type="radio" name="type" value="document" checked>&nbsp;document
                                <input type="radio" name="type" value="folder">&nbsp;folder<br>
                        </td>
                </tr>
                <tr>
                        <td colspan=2>
                            Select a file as the content <br><input type="file" name="filename"> <hr>
                            <center><input TYPE="submit" NAME="submit" VALUE="Submit"></center>
                            <input type="hidden" name="entity" value="<%= entityName %>">
                        </td>
                </tr>
  	</table>
        </td>
    </tr>
</TABLE>
</form>

<% }
%>
<p>
Back to <a href="actions.html">List of Actions</a>

</body>
</html>


