<!--
@copyright(disclaimer)
Licensed Materials - Property of IBM
IBM  Enterprise Information Portal  for Multiplatforms V8.1  (program number 5724-B43)
(c) Copyright IBM Corp. 1998,  2002. All Rights Reserved.

US Government Users Restricted Rights
Use, duplication or disclosure restricted by GSA ADP Schedule
Contract with IBM Corp.

DISCLAIMER OF WARRANTIES :

Permission is granted to copy and modify this  Sample code, and to
distribute modified versions provided that both the copyright
notice,- and this permission notice and warranty disclaimer  appear in all copies and modified
versions.

THIS SAMPLE CODE IS LICENSED TO YOU AS-IS.
IBM  AND ITS SUPPLIERS AND LICENSORS  DISCLAIM
ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, IN SUCH SAMPLE CODE, INCLUDING THE WARRANTY
OF NON-INFRINGEMENT AND THE IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A
PARTICULAR PURPOSE. IN NO EVENT WILL IBM OR ITS LICENSORS OR SUPPLIERS BE LIABLE FOR ANY
DAMAGES ARISING OUT OF THE USE OF  OR INABILITY TO USE THE SAMPLE CODE, DISTRIBUTION OF
THE SAMPLE CODE, OR COMBINATION OF THE SAMPLE CODE WITH ANY OTHER CODE. IN NO EVENT SHALL
IBM OR ITS LICENSORS AND SUPPLIERS BE LIABLE FOR ANY LOST REVENUE, LOST PROFITS OR DATA,
OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL,INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER
CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY,-, EVEN IF IBM OR ITS LICENSORS OR SUPPLIERS
HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

@endCopyright
-->

<%@ taglib uri="cmb" prefix="cmb" %>
<%@ page import="com.ibm.mm.beans.*,
		 com.ibm.mm.servlets.*" 
%>
<jsp:useBean id="connection" scope="session" class="com.ibm.mm.beans.CMBConnection" />
<jsp:useBean id="query" scope="session" class="com.ibm.mm.beans.CMBQueryService" />
<jsp:useBean id="schema" scope="session" class="com.ibm.mm.beans.CMBSchemaManagement" />
<jsp:useBean id="data" scope="session" class="com.ibm.mm.beans.CMBDataManagement" />
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>IBM Enterprise Information Portal Servlets Sample</title>
</head>

<body bgcolor="#FFFFFF" link="#000080" vlink="#800000">

<!-- Title -->
<table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr>
        <td><b><i>updateItem</i> action</b></td>
    </tr>
</table>
<!-- *** End Title *** -->

<%  String itemId = request.getParameter("itemId");
    String entityName = request.getParameter("entity");
    String next = request.getParameter("next");
    if (itemId == null || itemId.equals("")) { // display form to enter itemId
%>

<form method="POST" action="CMBControlServlet">
<input type="hidden" name="reply" value="/jsp/servlets/updateitem.jsp">
<TABLE border=0 align=center cellpadding=0>
    <tr>
        <td>
        <center>Step 1:</center>
	<table border=1 cellspacing=3 cellpadding=3>
		<tr>
			<td>Specify Item ID:&nbsp;<input type="text" name="itemId" tabindex="1"><hr>
                            <center><input TYPE="submit" NAME="submit" VALUE="Next" tabindex="2"></center>
                        </td>
		</tr>
  	</table>
        </td>
    </tr>

</TABLE>
</form>

<% } else if (next == null || next.equals("")) { // ask user to select the next step, either update attributes or reindex
        CMBSearchResults result = new CMBSearchResults();
        result.setConnection(connection);
        result.newResults(query.getResults());
        CMBItem[] itemBeans = result.getItem();
        CMBItem itemBean = null;
        // itemId is pidString
        boolean found = false;
        for (int i=0; i<itemBeans.length; i++) {
            if (itemBeans[i].getPidString().equals(itemId)) {         // itemId is pidString
                itemBean = itemBeans[i];
                found = true;
            }
        }

        if (!found) {
            itemBean = connection.getObjectManagement().createItem(itemId);
        }

        if (itemBean == null) {
        throw new IllegalArgumentException(ServletUtils.getMessage(ServletUtils.RESOURCE_BASE_NAME, "CMBServlet.InvalidItemId"));
        }

        data.setDataObject(itemBean);
        data.setConnection(connection);
	data.retrieveItem();
        request.setAttribute("item",itemBean);

%>

<form method="POST" action="CMBControlServlet">
<input type="hidden" name="reply" value="/jsp/servlets/updateitem.jsp">
<TABLE border=0 align=center cellpadding=0>
    <tr>
        <td><center>Step 2</center>
            <!--display attributes-->
            <table border=1 cellspacing=3 cellpadding=3>
		<tr>
			<td colspan=2>
                            Here's the item you have selected.
                            <br><font size="-1">Item Id = <%= itemId %></font>
                        </td>
		</tr>
                <tr>
                        <td>Attribute Name</td>
                        <td>Value</td>
                </tr>
       	        <cmb:itemattributes item="<%= itemBean%>"> 
	  	<tr>
			<td><%= attrname %></td>
                        <td><%= attrvalue %></td>
                        </td>
		</tr>
	        </cmb:itemattributes>
                <tr>
                        <td colspan=2>
                            Do you wish to <br>&nbsp;&nbsp;
                            <input type="radio" name="next" value="update"> UPDATE ATTRIBUTES or
                            <input type="radio" name="next" value="reindex"> REINDEX?
                            <hr><center><input TYPE="submit" NAME="submit" VALUE="Next"></center>
                            <input type="hidden" name="itemId" value="<%= itemId %>">
                        </td>
                </tr>
  	</table>
        </td>
    </tr>
</TABLE>
</form>

<% } else if (next.equals("reindex")) { // reindex the item
        if (entityName == null || entityName.equals("")) { // show a list of available entities
            request.setAttribute("schema",schema);
%>
<form method="POST" action="updateitem.jsp">
<TABLE border=0 align=center cellpadding=0>
    <tr>
        <td><center>Step 3</center>
        <!--reindex-->
        <table border=2 cellspacing=3 cellpadding=3 align=center>
		<tr>
			<td colspan=2>
                            <font size="-1">Item Id = <%= itemId %></font>
                        </td>
		</tr>
                <tr>
                        <td><b>Available Entities</td>
                </tr>
		<tr>
			<td>
  		            <cmb:entities schema="<%= schema%>">
			        <input type=radio name="entity" value="<%= entity %>"><%= entity %><br>
		            </cmb:entities>
                            <br><center><input type="submit" value="Next"></center>
                            <input type="hidden" name="itemId" value="<%= itemId %>">
                            <input type="hidden" name="next" value="<%= next %>">
                        </td>
                </tr>
  	</table>

        </td>
    </tr>
</TABLE>
</form>

<%      } else { // reindex using the selected entity
            request.setAttribute("entity",entityName);
%>
<form method="POST" action="CMBControlServlet" enctype="multipart/form-data">
<input type="hidden" name="action" value="updateItem">

<TABLE border=0 align=center cellpadding=0>
    <tr>
        <td><center>Step 4</center>
            <!--update attributes-->
            <table border=1 cellspacing=3 cellpadding=3>
		<tr>
			<td colspan=2>
                            <font size="-1">Item Id = <%= itemId %></font>
                        </td>
		</tr>
                <tr>
                        <td>Attribute Name</td>
                        <td>Value</td>
                </tr>
       	        <cmb:attributes schema="<%= schema%>" entity="<%= entityName%>">
	  	<tr>
			<td><i><%= attribute %></i></td>
                        <td><input type="text" name="attribute.<%= attribute %>"></td>
		</tr>
		</cmb:attributes>
                <tr>
                        <td colspan=2>
                            Specify File as the Content of the Item<br><input type="file" name="filename" tabindex="5"> <hr>
                            <center><input TYPE="submit" NAME="submit" VALUE="Next" tabindex="6"></center>
                            <input type="hidden" name="itemId" value="<%= itemId %>">
                            <input type="hidden" name="next" value="<%= next %>">
                            <input type="hidden" name="entity" value="<%= entityName %>">
                        </td>
                </tr>
  	</table>
        </td>
    </tr>
</TABLE>
</form>

<%      }
    } else if (next.equals("update")) { // update attributes, list attribute names and attribute values
       	CMBSearchResults result = new CMBSearchResults();
        result.setConnection(connection);
        result.newResults(query.getResults());
        CMBItem[] itemBeans = result.getItem();
        CMBItem itemBean = null;
        // itemId is pidString
        boolean found = false;
        for (int i=0; i<itemBeans.length; i++) {
            if (itemBeans[i].getPidString().equals(itemId)) {         // itemId is pidString
                itemBean = itemBeans[i];
                found = true;
            }
        }

        if (!found) {
            itemBean = connection.getObjectManagement().createItem(itemId);
        }

        if (itemBean == null) {
        throw new IllegalArgumentException(ServletUtils.getMessage(ServletUtils.RESOURCE_BASE_NAME, "CMBServlet.InvalidItemId"));
        }
        data.setDataObject(itemBean);
        data.setConnection(connection);
	data.retrieveItem();
	request.setAttribute("item",itemBean);
        
%>
<form method="POST" action="CMBControlServlet" enctype="multipart/form-data">
<input type="hidden" name="action" value="updateItem">
<TABLE border=0 align=center cellpadding=0>
    <tr>
        <td><center>Step 3</center>

            <!--update attributes-->
            <table border=1 cellspacing=3 cellpadding=3>
		<tr>
			<td colspan=2>
                            <font size="-1">Item Id = <%= itemId %></font>
                        </td>
		</tr>
                <tr>
                        <td>Attribute Name</td>
                        <td>Value</td>
                </tr>
       	        <cmb:itemattributes item="<%= itemBean%>">
	  	<tr>
			<td><i><%= attrname %></i></td>
                        <td><input type="text" name="attribute.<%= attrname %>" value="<%= attrvalue %>"></td>
                        </td>
		</tr>
	        </cmb:itemattributes>
                <tr>
                        <td colspan=2>
                            Specify File as Item Content <br><input type="file" name="filename" tabindex="5"> <hr>
                            <center><input TYPE="submit" NAME="submit" VALUE="Next" tabindex="6"></center>
                            <input type="hidden" name="itemId" value="<%= itemId %>">
                            <input type="hidden" name="next" value="<%= next %>">
                        </td>
                </tr>
  	</table>
        </td>
    </tr>
</TABLE>
</form>

<% }
%>
<p>
Back to <a href="actions.html">List of Actions</a>
</form>
</body>
</html>
